--- seamonkey.SlackBuild	2009-09-07 16:54:59.000000000 -0400
+++ seamonkey.SlackBuild.s390x	2009-10-18 15:53:06.000000000 -0400
@@ -40,7 +40,7 @@
 zcat $CWD/seamonkey.sqlite3.static.diff.gz | patch -p1 --verbose || exit 1
 
 # Add /usr/lib/mozilla/plugins to MOZ_PLUGINS_PATH:
-zcat $CWD/seamonkey.moz_plugin_path.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
+zcat $CWD/seamonkey.moz_plugin_path.diff.s390x.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
 rm -f xpfe/bootstrap/mozilla.in.orig
 
 # Make sure the perms/ownerships are sane:
@@ -70,9 +70,10 @@
 chown -R root:root .
 BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 \
 ./configure --prefix=/usr \
+  --libdir=/usr/lib64 \
   --enable-optimize=-O2 \
   --disable-debug \
-  --with-default-mozilla-five-home=/usr/lib/seamonkey-${VERSION} \
+  --with-default-mozilla-five-home=/usr/lib64/seamonkey-${VERSION} \
   --enable-strip \
   --disable-tests \
   --enable-svg \
@@ -108,16 +109,16 @@
   fi
 )
 
-# A Better Way to handle the problem below is simply to add /usr/lib/seamonkey
+# A Better Way to handle the problem below is simply to add /usr/lib64/seamonkey
 # to /etc/ld.so.conf.  After all, the various Mozilla offshoots all set an
 # LD_LIBRARY_PATH to make sure *they* use the right libraries anyway, and as
 # far as I know seamonkey has the only set of Mozilla development libraries
 # right now.  Plus, doing it this way doesn't stomp all over efforts by people
 # who would like to use mozilla-nss.
 
-## Link some libraries into /usr/lib.  Unless this is done, some things (like gxine)
+## Link some libraries into /usr/lib64.  Unless this is done, some things (like gxine)
 ## will be unable to load them, even if they linked with them successfully.
-#( cd $PKG/usr/lib && ( for somelib in libmozjs.so libnspr4.so libnss3.so libplc4.so libplds4.so libsmime3.so libsoftokn3.so libssl3.so ; do
+#( cd $PKG/usr/lib64 && ( for somelib in libmozjs.so libnspr4.so libnss3.so libplc4.so libplds4.so libsmime3.so libsoftokn3.so libssl3.so ; do
 #    # Link to it:
 #    ln -sf seamonkey-${VERSION}/$somelib .
 #  done )
@@ -145,10 +146,10 @@
 )
 
 # This remains the standard plugin directory for all browsers.
-mkdir -p $PKG/usr/lib/mozilla/plugins
+mkdir -p $PKG/usr/lib64/mozilla/plugins
 
 # Some software won't compile without this symlink:
-( cd $PKG/usr/lib
+( cd $PKG/usr/lib64
   if [ ! -e seamonkey ]; then
     ln -sf seamonkey-${VERSION} seamonkey
   fi
